Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.ThermostatSetpointSupportedReport (grizzly v7.4.2)

This command is used to report the thermostat's supported setpoint types.

Params:

- `:setpoint_types` - A list of supported setpoint types. See `Grizzly.ZWave.CommandClasses.ThermostatSetpoint.type/0`.

# Summary

## Types

param()

## Functions

bitmask_index_to_setpoint_type(arg1)
setpoint_type_to_bitmask_index(atom)

# Types

Link to this type

# param()

View Source

    @type param() ::
      {:setpoint_types,
       [{Grizzly.ZWave.CommandClasses.ThermostatSetpoint.type(), boolean()}]}

# Functions

Link to this function

# bitmask_index_to_setpoint_type(arg1)

View Source
Link to this function

# setpoint_type_to_bitmask_index(atom)

View Source